/******************************************************************************
 SCI Template Game
 By Brian Provinciano
 ******************************************************************************
 titlescreen.sc
 Contains the title screen room.
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script TITLESCREEN_SCRIPT)
/******************************************************************************/
(use "main")
(use "game")
(use "menubar")
(use "obj")
(use "cycle")
(use "user")
(use "controls")
(use "feature")
/******************************************************************************/
(instance public TitleScreen of Rm
	(properties
		picture scriptNumber
	)
	(method (init)
        // Set up the title screen
		ProgramControl() 
		= gProgramControl FALSE
		(send gGame:setSpeed(3))
		(SL:disable())
		(TheMenuBar:hide())
		
		(super:init())
		(self:setScript(RoomScript))
		
		(send gEgo:
			init()
			hide()
		)	
  
        /****************************************
         * Set up the room's music to play here *
         ****************************************/ /*
		(send gTheMusic:
			prevSignal(0)
			stop()
			number(scriptNumber)
			loop(-1)
			play()
		)       */

        /**************************************************
         * Add the rest of your initialization stuff here *
         **************************************************/
        Display(
			"Demo Version 1.0"
			dsCOORD 110 176
			dsCOLOUR clWHITE
			dsBACKGROUND clTRANSPARENT
		)
        (profileGames:init()setCycle(Fwd)cycleSpeed(2))
        (newGame:init())
        (restore:init()loop(1))
        (quitGame:init()loop(2))
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
    (method (changeState newState)
        = state newState
        (switch(state)
            (case 0 = cycles 40
            )(case 1 = cycles 40
                Display(
			"Presents:"
			dsCOORD 110 70
			dsCOLOUR clBLUE
			dsBACKGROUND clTRANSPARENT
		      )
            )(case 2 = cycles 7
                (line:init()setCycle(End))
            )(case 3 = cycles 10
                (line:loop(1)cel(0)setCycle(End)cycleSpeed(1))

            )(case 4 = cycles 15
            Display(
			"Nnight's Quest"
			dsCOORD 130 90
			dsCOLOUR clCYAN
			dsBACKGROUND clTRANSPARENT
		      )
            )
        )

    )
	(method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if( not (send pEvent:claimed) )
			(if( (== (send pEvent:type) evKEYBOARD) and (== (send pEvent:message) $3C00) )
				ToggleSound()
			)(else
                /******************************************
                 * If the title screen has music, fade it *
                 ******************************************/
				//(send gTheMusic:fade())
    
                // End the title screen, start the game
				(send gRoom:newRoom(INITROOMS_SCRIPT))
		    )
		)
	)
)
(instance profileGames of Prop
    (properties
        y 60
        x 184
        view 200
    )
)
(instance newGame of Prop
    (properties
        y 58
        x 44
        view 998
    )
)
(instance restore of Prop
    (properties
        y 107
        x 44
        view 998
    )
)
(instance quitGame of Prop
    (properties
        y 156
        x 44
        view 998
    )
)
(instance line of Prop
    (properties
        y 138
        x 208
        view 997
    )
)
/******************************************************************************/
