/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 50)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")

(local

onSilver = 1
onGrey = 1

)
/******************************************************************************/
(instance public rm050 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 51
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		(switch(gPreviousRoomNumber)
			(default
				(send gEgo:posn(300 100)loop(1))
            )(case 51
                (send gEgo:posn(20 108)loop(0))
			)(case 53
                (send gEgo:posn(45 70)loop(2))
                (door:cel(2))
            )(case 39
                (send gEgo:posn(150 150) loop(3))
            )
		)

		SetUpEgo()
		(send gEgo:init())
        (fountainRight:init()setCycle(Fwd)cycleSpeed(2))
        (fountainLeft:init()loop(1)setCycle(Fwd)cycleSpeed(2))
        (fountainTop:init()loop(2)setCycle(Fwd)cycleSpeed(2)setPri(12)ignoreActors())
        (door:init()loop(1))
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 1
            )(case 1 = cycles 1
                //= introFinished 1 //testing
                (if(not(introFinished))
                    (ProgramControl)
                    (RoomScript:changeState(10))
                )(else
                    (if(not(castleObjective))
                        Print("Now I need to find my sword and get out of here.")
                        (door:cel(2)setCycle(Beg)cycleSpeed(2))
                        = castleObjective 1
                    )
                )
            )(case 3 = cycles 5
                ("I don't think I want to go visit the King right now.")
            )(case 4
                (send gEgo:setMotion(MoveTo 160 100))
            )(case 6 = cycles 5
                ("This leads to Julyn's room. There are probably tons of guards looking for clues. I better stay away from there for now.")
            )(case 7
                (send gEgo:setMotion(MoveTo 200 110))
            )(case 10 = cycles 20
                (send gEgo:setCycle(Walk)setMotion(MoveTo 200 110))
            )(case 11 = cycles 15
                Print("My old friend the fountain..."#title"You say")
            )(case 12 = cycles 15
                = introFinished 1
                (send gGame:changeScore(1))//INTROFINISHED AND CHANGESCORE
                Print("Maybe I should make a wish?"#title"You say"
                )
            )(case 13 = cycles 10
                (send gRoom:newRoom(13))
            )
        )
    )
    
    (method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('look>'))
            (if(Said('/well,fountain,water'))
                Print("A large stone fountain. When you were younger you used to use it as a wishing well.")
            )(if(Said('around'))
                Print("A central room in the castle with a nice stone fountain.")
                Print("To the north is the King's chambers, to the east is his daughters' rooms, to the West are some cells and a storage room, and to the South leads to the parapet.")
            )(if(Said('/anyword'))
                Print("Why look at that? It's quite boring.")
            )(if(Said('[ /* , !* ]'))
                Print("A central room in the castle with a nice stone fountain.")
                Print("To the north is the King's chambers, to the east is his daughters' rooms, to the West are some cells and a storage room, and to the South leads to the parapet.")
            )
        )
        
        (if(Said('make/wish'))
            Print("Last time I did that I ended up in jail. Maybe later.")
        )
        
        (if(Said('drink,take/water,well,fountain'))
            Print("Nah, I'm not all that thirsty.")
        )
        
        (if(Said('open/door'))
            (if(<=(send gEgo:distanceTo(door))25)
                Print("There's nothing in there I need, and Jeff may be waking up anytime. Best not push my luck.")
            )(else
                (PrintNotCloseEnough)
            )
        )
    )
    
    (method (doit)
        (super:doit)
        (if(== (send gEgo: onControl()) ctlSILVER)
            (if(send gEgo:has(3))
                (if(onSilver)
                    Print("I should probably turn back. I don't think the King would be too happy to see me right now.")
                    = onSilver 0
                )
            )
        )
        (if(== (send gEgo: onControl()) ctlGREY)
            (if(send gEgo:has(3))
                (if(onGrey)
                    Print("This leads to Julyn's room. There are probably still guards looking for clues. I better stay away from there for now.")
                    = onGrey 0
                )
            )

        )
        (if(== (send gEgo: onControl()) ctlMAROON)
            (send gRoom:newRoom(39))
        )
    )
)
(instance fountainRight of Prop
    (properties
        y 100
        x 159
        view 150
    )
)
(instance fountainLeft of Prop
    (properties
        y 100
        x 139
        view 150
    )
)
(instance fountainTop of Prop
    (properties
        y 47
        x 149
        view 150
    )
)
(instance door of Prop
    (properties
        y 57
        x 44
        view 202
    )
)
/******************************************************************************/
