/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 51)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")

(local

listenOne = 0
listenTwo = 0
listenThree = 0

)
/******************************************************************************/
(instance public rm051 of Rm
	(properties
		picture scriptNumber
		north 0
		east 50
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		(switch(gPreviousRoomNumber)
			(default
				(send gEgo:
					posn(150 130)
					loop(1)
				)
			)(case 56
                (send gEgo:posn(70 107)loop(0))
            )(case 55
                (send gEgo:posn(70 107)loop(0))
            )(case 50
                (send gEgo:posn(300 114)loop(1))
            )(case 54
                (send gEgo:posn(114 93)loop(2))
            )
		)

		SetUpEgo()
		(send gEgo:init())
        (roomDoor:init())
        (roomDoor2:init())
        (roomDoor3:init())
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
 
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 1
            )(case 10 = cycles 3
                (roomDoor:setCycle(End)cycleSpeed(2))
            )(case 11 = cycles 5
                (roomDoor:ignoreActors())
                (send gEgo:setMotion(MoveTo 114 50))
            )(case 12
                (send gRoom:newRoom(54))
            )
        )
    )

    (method (handleEvent pEvent)
        (var dyingScript)
        (super:handleEvent(pEvent))
        (if(Said('look>'))
            (if(Said('hole,keyhole'))
                (if(not(== (send gEgo: onControl()) ctlGREY))
                    (if(not(== (send gEgo: onControl()) ctlMAROON))
                        (if(not(== (send gEgo: onControl()) ctlGREEN))
                            (PrintNotCloseEnough)
                        )(else
                            Print("It's just too dark to see. There's got to be a way to tell if the guards are awake in here.")
                        )
                    )(else
                        Print("It's just too dark to see. There's got to be a way to tell if the guards are awake in here.")
                    )
                )(else
                Print("It's just too dark to see. There's got to be a way to tell if the guards are awake in here.")
                )
            )(if(Said('/door'))
                Print("There are four doors.")
                Print("The three along the wall lead to cell rooms. The room at the end of the hall leads to the storage room.")
            )(if(Said('around'))
                Print("It's the cell room hallway in the castle. You can faintly hear noises from some of the cell rooms.")
            )(if(Said('/anyword'))
                Print("Why look at that? It's quite boring.")
            )(if(Said('[ /* , !* ]'))
                Print("It's the cell room hallway in the castle. You can faintly hear noises from some of the cell rooms.")
            )
        )

        (if(Said('listen'))
            (if(not(== (send gEgo: onControl()) ctlGREY))
                (if(not(== (send gEgo: onControl()) ctlMAROON))
                    (if(not(== (send gEgo: onControl()) ctlGREEN))
                        Print("You are not close enough to any door to hear anything.")
                    )(else
                        Print("It's no good. You cannot hear enough without an aid.")
                    )
                )(else
                    Print("It's no good. You cannot hear enough without an aid.")
                )
            )(else
                Print("It's no good. You cannot hear enough without an aid.")
            )
        )
        (if(Said('use/cup,glass'))
            (if(not(== (send gEgo: onControl()) ctlGREY))
                (if(not(== (send gEgo: onControl()) ctlMAROON))
                    (if(not(== (send gEgo: onControl()) ctlGREEN))
                        Print("Standing where you are that would be pretty hard.")
                    )(else
                        Print("Using the glass to amplify the sound, you hear the prisoner crying.")
                        Print("If the prisoner is crying, the guard is probably awake too."#title"You think")
                        = listenThree 1
                    )
                )(else
                    Print("Using the glass to amplify the sound, you hear the guard pacing inside the room.")
                    Print("The guard is definately awake in this room."#title"You think")
                    = listenTwo 1
                )
            )(else
                Print("Using the glass to amplify the sound, you hear faint snoring.")
                Print("There shouldn't be much risk here, if only I can be quiet."#title"You think")
                = listenOne 1
            )
        )
        
        (if(Said('open/door'))
            (if(not(== (send gEgo: onControl()) ctlGREY))
                (if(not(== (send gEgo: onControl()) ctlMAROON))
                    (if(not(== (send gEgo: onControl()) ctlGREEN))
                        (if(not(== (send gEgo: onControl()) ctlSILVER))
                            Print("You are not close enough to any of them.")
                        )(else
                            (if(send gEgo:has(5))
                                (send gRoom:newRoom(55))
                            )(else
                                (send gRoom:newRoom(56))
                            )
                        )
                    )(else
                        (if(not(listenThree))
                            Print("It may be too dangerous to open that door.")
                            Print("You must find a way to know if the guard is awake.")
                        )(else
                            = dyingScript ScriptID(DYING_SCRIPT)
                            (send dyingScript: caller(214)
                            register("You walked into a room with a guard alert and ready to put your poorly funtioning brain to rest.")
                            )
                            (send gGame:setScript(dyingScript))
                        )
                    )
                )(else
                    (if(not(listenTwo))
                        Print("It may be too dangerous to open that door.")
                        Print("You must find a way to know if the guard is awake.")
                    )(else
                        = dyingScript ScriptID(DYING_SCRIPT)
                        (send dyingScript: caller(214)
                        register("You walked into a room with a guard alert and ready to put your poorly funtioning brain to rest.")
                        )
                        (send gGame:setScript(dyingScript))
                    )
                )
            )(else
                (if(not(send gEgo:has(5)))
                    (if(not(listenOne))
                        Print("It may be too dangerous to open that door.")
                        Print("You must find a way to know if the guard is awake.")
                    )(else
                        Print("You slowly open to door and enter.")
                        (RoomScript:changeState(10))
                    )
                )(else
                    Print("You slowly open to door and enter.")
                    (RoomScript:changeState(10))
                )
            )
        )
    )
)

(instance roomDoor of Prop
    (properties
        y 77
        x 118
        view 801
    )
)
(instance roomDoor2 of Prop
    (properties
        y 78
        x 186
        view 801
    )
)
(instance roomDoor3 of Prop
    (properties
        y 80
        x 258
        view 801
    )
)
/******************************************************************************/
